## ros-humble-pal-navigation-cfg 3.0.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pal_navigation_cfg)
find_package(ament_cmake_auto REQUIRED)
ament_auto_package()

=== debian/changelog ===
ros-humble-pal-navigation-cfg (3.0.5-1jammy) jammy; urgency=high



 -- Antonio Brandi <antonio.brandi@pal-robotics.com>  Fri, 21 Jul 2023 00:00:00 -0000

ros-humble-pal-navigation-cfg (3.0.4-1jammy) jammy; urgency=high



 -- Antonio Brandi <antonio.brandi@pal-robotics.com>  Tue, 02 May 2023 00:00:00 -0000

ros-humble-pal-navigation-cfg (3.0.3-1jammy) jammy; urgency=high



 -- Antonio Brandi <antonio.brandi@pal-robotics.com>  Tue, 25 Apr 2023 00:00:00 -0000

ros-humble-pal-navigation-cfg (3.0.2-1jammy) jammy; urgency=high

  * Merge branch 'license' into 'humble-devel'
    Add license
    See merge request navigation/pal_navigation_cfg_public!46
  * Update license
  * Contributors: Noel Jimenez, antoniobrandi

 -- Antonio Brandi <antonio.brandi@pal-robotics.com>  Wed, 05 Apr 2023 00:00:00 -0000

ros-humble-pal-navigation-cfg (3.0.1-1jammy) jammy; urgency=high

  * init ROS2 migration
  * Contributors: antoniobrandi

 -- Antonio Brandi <antonio.brandi@pal-robotics.com>  Tue, 04 Apr 2023 00:00:00 -0000

=== debian/control ===
Source: ros-humble-pal-navigation-cfg
Section: misc
Priority: optional
Maintainer: Antonio Brandi <antonio.brandi@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-auto, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-pal-navigation-cfg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-pal-navigation-cfg-bringup, ros-humble-pal-navigation-cfg-params, ros-humble-ros-workspace
Description: PAL Navigation Configuration metapackage

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-pal-navigation-cfg//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-pal-navigation-cfg 3.0.6

=== debian/changelog ===
ros-humble-pal-navigation-cfg (3.0.6-1bookworm) bookworm; urgency=high

  * Add website tag
  * Contributors: Noel Jimenez

 -- Antonio Brandi <antonio.brandi@pal-robotics.com>  Mon, 13 Nov 2023 16:00:00 -0000

ros-humble-pal-navigation-cfg (3.0.5-1bookworm) bookworm; urgency=high



 -- Antonio Brandi <antonio.brandi@pal-robotics.com>  Thu, 20 Jul 2023 16:00:00 -0000

ros-humble-pal-navigation-cfg (3.0.4-1bookworm) bookworm; urgency=high



 -- Antonio Brandi <antonio.brandi@pal-robotics.com>  Mon, 01 May 2023 16:00:00 -0000

ros-humble-pal-navigation-cfg (3.0.3-1bookworm) bookworm; urgency=high



 -- Antonio Brandi <antonio.brandi@pal-robotics.com>  Mon, 24 Apr 2023 16:00:00 -0000

ros-humble-pal-navigation-cfg (3.0.2-1bookworm) bookworm; urgency=high

  * Merge branch 'license' into 'humble-devel'
    Add license
    See merge request navigation/pal_navigation_cfg_public!46
  * Update license
  * Contributors: Noel Jimenez, antoniobrandi

 -- Antonio Brandi <antonio.brandi@pal-robotics.com>  Tue, 04 Apr 2023 16:00:00 -0000

ros-humble-pal-navigation-cfg (3.0.1-1bookworm) bookworm; urgency=high

  * init ROS2 migration
  * Contributors: antoniobrandi

 -- Antonio Brandi <antonio.brandi@pal-robotics.com>  Mon, 03 Apr 2023 16:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Antonio Brandi <antonio.brandi@pal-robotics.com>
 Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-auto, ros-humble-ros-workspace
-Homepage: 
+Homepage: https://github.com/pal-robotics/pal_navigation_cfg_public
 Standards-Version: 3.9.2
 
 Package: ros-humble-pal-navigation-cfg

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-pal-navigation-cfg//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-pal-navigation-cfg//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-pal-navigation-cfg//opt/ros/humble/opt/pal_navigation_cfg/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
